
GNUTAR=/usr/bin/gtar

tool_check() {

	if [ ! -x "$GNUTAR" ] ; then
		echo "500 gnutar executable not found"
		exit 1
	fi
	
	if [ -n "$BACKUPLEVEL" -a "$BACKUPLEVEL" != "-1" ] ; then	
		while [ "$BACKUPLEVEL" -gt 0 ] ; do
			LASTLEVEL=`expr $BACKUPLEVEL - 1`
			if [ -f ${clientvardir}/$BACKUP-$LASTLEVEL.star ] ; then
				break;
			fi
			BACKUPLEVEL="$LASTLEVEL"
		done	
	fi
	
	if [ -n "$STARTFROM" ] ; then
		if [ ! -d "$STARTFROM" ] ; then
			echo "500 $STARTFROM is not a directory"
			exit 1
		fi
	fi
	
	if [ -z "$DIRECTORY" ] ; then
		echo "500 No DIRECTORY given"
		exit 1
	fi
	
	if [ ! -d "$DIRECTORY" ] ; then
		echo "500 $STARTFROM is not a directory"
		exit 1
	fi
	
	if [ -n "$EXCLUDEFILE" ] ; then
		if [ ! -f "$EXCLUDEFILE" ] ; then
			echo "500 $EXCLUDEFILE does not exists"
			exit 1
		fi
	fi
}

tool_run() {

	TARFLAGS="-f - -c "

	if [ -n "$BACKUPLEVEL" -a "$BACKUPLEVEL" != "-1" ] ; then
		if [ "$1" != "test" ] ; then
			mv ${clientvardir}/$BACKUP-$BACKUPLEVEL.star \
				${clientvardir}/$BACKUP-$BACKUPLEVEL.star.bak 2>/dev/null
			if [ "$BACKUPLEVEL" -gt 0 ] ; then
				cp ${clientvardir}/$BACKUP-$LASTLEVEL.star \
					${clientvardir}/$BACKUP-$BACKUPLEVEL.star 
			fi
		fi
		TARFLAGS="$TARFLAGS -g ${clientvardir}/$BACKUP-$BACKUPLEVEL.star"
	fi

	if [ -n "$STARTFROM" ] ; then
		cd "$STARTFROM"
	fi

	if is_yes "$COMPRESS" ; then
		TARFLAGS="$TARFLAGS -z"
	fi

	for ex in $EXCLUDE ; do
		TARFLAGS="$TARFLAGS --exclude $ex"
	done
	
	if [ -n "$EXCLUDEFILE" ] ; then
		TARFLAGS="$TARFLAGS --exclude-from $EXCLUDEFILE"
	fi
		
	TARFLAGS="$TARFLAGS $OTHERTOOLARGS $DIRECTORY"

	if [ "$1" == "test" ] ; then
		echo "Command: $GNUTAR $TARFLAGS" >&2
	else
		$GNUTAR $TARFLAGS 
	fi
}

# vi: syntax=sh
