
MYSQL_DUMP=/usr/bin/mysqldump

tool_check() {

	if [ -z "$DATABASE" ] ; then
		echo "500 no DATABASE given"
		exit 1
	fi

	if [ ! -x "$MYSQL_DUMP" ] ; then
		echo "500 mysqldump executable not available"
		exit 1
	fi
	
}

tool_run() {

	if [ "$DATABASE" = "ALL" ] ; then	
		COMMAND="$MYSQL_DUMP --all-databases"
	else
		COMMAND="$MYSQL_DUMP"
	fi

	is_yes "$FLUSH_LOGS" && COMMAND="$COMMAND --flush-logs"
	is_yes "$FORCE" && COMMAND="$COMMAND --force"
	[ -n "$MYSQLHOST" ] && COMMAND="$COMMAND --host=$MYSQLHOST"
	[ -n "$MYSQLPORT" ] && COMMAND="$COMMAND --port=$MYSQLPORT"
	is_yes "$LOCK_ALL_TABLES" && COMMAND="$COMMAND --lock-tables"
	is_yes "$QUOTE_NAMES" && COMMAND="$COMMAND --quote-names"

	if [ "$1" == "test" ] ; then
		if is_yes "$COMPRESS" ; then
			echo "Command: $COMMAND | gzip -9" >&2
		else
			echo "Command: $COMMAND" >&2
		fi
	else
		if is_yes "$COMPRESS" ; then
			$COMMAND | gzip -9
		else
			$COMMAND
		fi
	fi
}

# vi: syntax=sh
